CGI Transaction
POST
/v2/CGI/TransactionCGI Transaction sends a structured JSON transaction request to the terminal using a structured CGI contract. TPN and Authkey are provided in the request body (Authkey may be omitted when SpinAccessToken is supplied). Additional terminal-specific fields can be added via ExtensionData. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.
Body Parameters
Tpn*
stringAuthkey
stringSPInProxyTimeout
numberExtensionData
ExtensionData
objectRequestGuid
stringPOST/v2/CGI/Transaction
1curl --location 'https://test.spinpos.net/v2/CGI/Transaction' \
2--header 'Content-Type: application/json' \
3--data '{
4 "ExtensionData": {},
5 "Tpn": "",
6 "Authkey": "",
7 "SPInProxyTimeout": "",
8 "RequestGuid": "00000000-0000-0000-0000-000000000000"
9}'
Response
// Awaiting response…
Sample response
{
"GeneralResponse": {
"HostResponseCode": "00",
"HostResponseMessage": "Approved",
"ResultCode": "Ok",
"StatusCode": "0000",
"Message": "Approved",
"DetailedMessage": "APPROVAL VTLMC1",
"DelayBeforeNextRequest": null
}
}